package com.godoro.samples.jdbc;

import java.sql.*;

public class UpdateableResultSetTest {
    
  public static void main(String[] args)
    throws Exception
  {
    String driverClass="sun.jdbc.odbc.JdbcOdbcDriver";     
    Class.forName(driverClass);       
    String url="jdbc:odbc:mydatasource";     
    String username="sa";
    String password="godoro";
    Connection connection = DriverManager.getConnection(url,username,password);
    System.out.println("Connected to database");          

    Statement stmt=connection.createStatement(
            ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_UPDATABLE);
    ResultSet rs=stmt.executeQuery("select * from BankAccount");
   
    
    while(rs.next()){
      int accountNum=rs.getInt("AccountNumber");
      float amount=rs.getInt("Amount");      
      System.out.println(accountNum+" : "+amount);      
      if(accountNum==345){
        rs.updateFloat("Amount",500f);
        rs.updateRow();        
        System.out.println("Amount of Account 345 set to 500.");
      }
    }
    rs.beforeFirst();
    rs.updateInt("AccountNumber",111);    
    rs.updateFloat("Amount",150f);
    rs.insertRow();
    System.out.println("Account 111 added at the begining");

    rs.afterLast();
    rs.updateInt("AccountNumber",999);    
    rs.updateFloat("Amount",900f);
    rs.insertRow();
    System.out.println("Account 999 added at the end");
    
  }     
}

